javax.persistence.criteria

## Enum CriteriaBuilder.Trimspec

- java.lang.Object
- - java.lang.Enum<CriteriaBuilder.Trimspec>
  - - javax.persistence.criteria.CriteriaBuilder.Trimspec

- All Implemented Interfaces:
    Serializable, Comparable<CriteriaBuilder.Trimspec>
  Enclosing interface:
    CriteriaBuilder

      public static enum CriteriaBuilder.Trimspec
      extends Enum<CriteriaBuilder.Trimspec>

  Used to specify how strings are trimmed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Trim from both ends.
    `LEADING` Trim from leading end.
    `TRAILING` Trim from trailing end.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CriteriaBuilder.Trimspec` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CriteriaBuilder.Trimspec[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEADING

          public static final CriteriaBuilder.Trimspec LEADING

      Trim from leading end.

    - #### TRAILING

          public static final CriteriaBuilder.Trimspec TRAILING

      Trim from trailing end.

    - #### BOTH

          public static final CriteriaBuilder.Trimspec BOTH

      Trim from both ends.

  - ### Method Detail

    - #### values

          public static CriteriaBuilder.Trimspec[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CriteriaBuilder.Trimspec c : CriteriaBuilder.Trimspec.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CriteriaBuilder.Trimspec valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.